
package eu.dnetlib.dhp.ircdl_extention.model;

import java.io.Serializable;
import java.util.List;

public class ShuffleInfo implements Serializable {

	private String aname;
	private String asurname;
	private String afullname;
	private String oname;
	private String osurname;
	private String ocreditName;
	private List<String> oOtherNames;
	private String orcid;
	private String id;
	private String pid;

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getAname() {
		return aname;
	}

	public void setAname(String aname) {
		this.aname = aname;
	}

	public String getAsurname() {
		return asurname;
	}

	public void setAsurname(String asurname) {
		this.asurname = asurname;
	}

	public String getAfullname() {
		return afullname;
	}

	public void setAfullname(String afullname) {
		this.afullname = afullname;
	}

	public String getOname() {
		return oname;
	}

	public void setOname(String oname) {
		this.oname = oname;
	}

	public String getOsurname() {
		return osurname;
	}

	public void setOsurname(String osurname) {
		this.osurname = osurname;
	}

	public String getOcreditName() {
		return ocreditName;
	}

	public void setOcreditName(String ocreditName) {
		this.ocreditName = ocreditName;
	}

	public List<String> getoOtherNames() {
		return oOtherNames;
	}

	public void setoOtherNames(List<String> oOtherNames) {
		this.oOtherNames = oOtherNames;
	}

	public String getOrcid() {
		return orcid;
	}

	public void setOrcid(String orcid) {
		this.orcid = orcid;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public static ShuffleInfo newInstance(String aname, String asurname, String afullname, String id) {
		ShuffleInfo si = new ShuffleInfo();
		si.afullname = afullname;
		si.aname = aname;
		si.asurname = asurname;
		si.id = id;
		return si;
	}

	public static ShuffleInfo newInstance(String aname, String asurname, String afullname, String id, String oname,
		String osurname, String ocredtname, List<String> oOthername, String orcid, String pid) {
		ShuffleInfo si = new ShuffleInfo();
		si.afullname = afullname;
		si.aname = aname;
		si.asurname = asurname;
		si.id = id;
		si.oname = oname;
		si.osurname = osurname;
		si.ocreditName = ocredtname;
		si.oOtherNames = oOthername;
		si.orcid = orcid;
		si.pid = pid;
		return si;
	}

}
